# tupper

Drops of glue between [SSHFS](https://github.com/libfuse/sshfs), [Borg](https://www.borgbackup.org/) and [cron](https://github.com/vixie/cron)

## Features

- Auto-mounts specified SSHFS as required
- Encrypted, deduplicated backups thanks to Borg
- Backup of specified directories to SSHFS
- Daily cron scheduler

## Usage

Enter SSH credentials, host and destination directory in `/etc/tupper.conf`, as well as the directories to back up.

Then either run `sudo tupper` or wait for the daily cron scheduler to kick in.

## Building

`dpkg-deb --build . tupper_0.1_any.deb`

